using UnityEngine;

public abstract class VideoHostingImplBase : MonoBehaviour
{
	protected virtual void Awake()
	{
	}

	protected virtual void Start()
	{
	}

	protected virtual void OnDestroy()
	{
	}

	public virtual bool IsVideoHostingSupported()
	{
		return false;
	}

	public virtual void StartRecording()
	{
	}

	public virtual void StopRecording()
	{
	}

	public virtual void PauseRecording()
	{
	}

	public virtual void ResumeRecording()
	{
	}

	public virtual bool IsRecording()
	{
		return false;
	}

	public virtual bool IsRecordingPause()
	{
		return false;
	}

	public virtual bool HasRecordedData()
	{
		return false;
	}

	public virtual void UploadRecording()
	{
	}

	public virtual bool IsUploading()
	{
		return false;
	}

	public virtual void WatchRecording()
	{
	}

	public virtual void StartPublishing()
	{
	}

	public virtual void StopPublishing()
	{
	}

	public virtual void PausePublishing()
	{
	}

	public virtual void ResumePublishing()
	{
	}

	public virtual bool IsPublising()
	{
		return false;
	}

	public virtual bool IsPublishingPause()
	{
		return false;
	}

	public virtual void SetPublishingReceiveCommentEnable(bool isEnable)
	{
	}

	public virtual void ShowPublishingMenu()
	{
	}

	public virtual void SetRecordingFaceCameraMicrophoneStatus(bool isEnableCamera, bool isEnalbeMicrophon)
	{
	}

	public virtual bool GetRecordingFaceCameraEnable()
	{
		return false;
	}

	public virtual bool GetRecordingMicrophoneEnable()
	{
		return false;
	}

	public virtual void SetRecordingMicrophoneGain(float gain)
	{
	}

	public virtual float GetRecordingMicrophoneGain()
	{
		return 0f;
	}

	public virtual void SetPublishingFaceCameraMicrophoneStatus(bool isEnableCamera, bool isEnalbeMicrophon)
	{
	}

	public virtual bool GetPublishingFaceCameraEnable()
	{
		return false;
	}

	public virtual bool GetPublishingMicrophoneEnable()
	{
		return false;
	}

	public virtual void SetPublishingMicrophoneGain(float gain)
	{
	}

	public virtual float GetPublishingMicrophoneGain()
	{
		return 0f;
	}

	public virtual void SetFaceCameraWindowVisible(bool isVisible)
	{
	}

	public virtual int GetFaceCameraWindowX()
	{
		return 0;
	}

	public virtual void SetFaceCameraWindowX(int screenX)
	{
	}

	public virtual int GetFaceCameraWindowY()
	{
		return 0;
	}

	public virtual void SetFaceCameraWindowY(int screenY)
	{
	}

	public virtual int GetFaceCameraWindowWidth()
	{
		return 0;
	}

	public virtual void SetFaceCameraWindowWidth(int w)
	{
	}

	public virtual int GetFaceCameraWindowHeight()
	{
		return 0;
	}

	public virtual void SetFaceCameraWindowHeight(int h)
	{
	}
}
